#ifndef TEST
#define TEST
#include <QObject>
#include <QWidget>

//#define __ICEWM__DESKTOP__
#ifdef __ICEWM__DESKTOP__
    #include <xcb/xcb.h>
    #include <xcb/sync.h>
#endif

class XCBOperate : public QObject
{
    Q_OBJECT
public:
    XCBOperate(){}
public slots:
    void update(WId id)
    {
     #ifdef __ICEWM__DESKTOP__
        xcb_connection_t    *c;
        xcb_intern_atom_reply_t *reply;
        xcb_atom_t embedAtom;
        xcb_intern_atom_cookie_t  atom_cookie;
        char strAtomName[] = "_XEMBED_INFO";
        c = xcb_connect(NULL,NULL);
        atom_cookie = xcb_intern_atom(c, false, strlen(strAtomName), strAtomName);
        reply = xcb_intern_atom_reply(c, atom_cookie, 0);
        embedAtom = reply->atom;
        free(reply);
        xcb_delete_property(c, (xcb_window_t)id, embedAtom);
        xcb_flush(c);
        xcb_disconnect(c);
     #endif
    }
};
#endif // TEST

